circa75 Home | About circa75 | Articles | Links | Contact Us

Posted by gustav at 01:01AM, Sunday, December 02nd, 2007

Upgrade problems: PHP and Leopard

After upgrading to Leopard, PHP doesn't work. It took me a while to figure out why.

It turns out that Apple's moved the place that Apache looks for httpd.conf from /etc/httpd/httpd.conf to /etc/apache2/httpd.conf and that, to get PHP to work, you need to do the following:

Uncomment the "LoadModule php5_module" line

Restart web sharing

All better. Strange that Googling for this problem turns up so little.
circa75 Home | About circa75 | Articles | Links | Contact Us

All content copyright © 2001-2009 the owners of http://www.circa75.com/